#### D.15.14.15 isSublattice

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  isSublattice(L, S); L, S are of tpye intmat

Purpose:
  checks whether the lattice created by L is a
  sublattice of the lattice created by S.
  The procedure checks whether each generator of L is
  contained in S.

Return:
  integer, 0 if false, 1 if true

Example:

    LIB "multigrading.lib";
    //ring R = 0,(x,y),dp;
    intmat S2[3][3]=
    0, 2, 3,
    0, 1, 1,
    3, 0, 2;
    intmat S1[3][2]=
    0, 6,
    0, 2,
    3, 4;
    isSublattice(S1,S2); // Yes!
    ==> 1
    intmat S3[3][1] =
    0,
    0,
    1;
    not(isSublattice(S3,S2)); // Yes!
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.